## haskell-neither 0.1.0

=== debian/changelog ===
haskell-neither (0.1.0-1build1) precise; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 04 Nov 2011 14:11:34 -0400

haskell-neither (0.1.0-1) unstable; urgency=low

  * Initial release.

 -- Clint Adams <clint@debian.org>  Tue, 31 May 2011 08:11:07 -0400
