## haskell-neither 0.3.0

=== debian/changelog ===
haskell-neither (0.3.0-1) unstable; urgency=low

  * New upstream release.

 -- Clint Adams <clint@debian.org>  Sat, 22 Oct 2011 12:17:00 -0400
