=== debian/control ===
--- 
+++ 
@@ -8,9 +8,11 @@
   , haskell-devscripts (>= 0.8)
   , ghc
   , ghc-prof
-  , libghc-failure-dev
+  , libghc-failure-dev (>> 0.1.0)
+  , libghc-failure-dev (<< 0.2)
   , libghc-failure-prof
-  , libghc-transformers-dev
+  , libghc-transformers-dev (>> 0.2.1)
+  , libghc-transformers-dev (<< 0.3)
   , libghc-transformers-prof
 Build-Depends-Indep: ghc-doc
   , libghc-failure-doc
