## haskell-neither 0.3.1

=== debian/changelog ===
haskell-neither (0.3.1-1) unstable; urgency=low

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Thu, 23 Feb 2012 13:43:25 -0500
