=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
   , ghc
   , ghc-prof
   , libghc-failure-dev (>> 0.1.0)
-  , libghc-failure-dev (<< 0.2)
+  , libghc-failure-dev (<< 0.3)
   , libghc-failure-prof
   , libghc-transformers-dev (>> 0.2.1)
   , libghc-transformers-dev (<< 0.3)
